#!/usr/bin/python3

from random import randint, random, choice

from choice_network import Choice, FixedText, RandInt, Network

def get_first_names():
    lines = []
    with open("vornamen.csv") as file:
        lines = file.read().split("\n")
    names = [
        name + " "
        for name in lines
    ]
    return names

greeting = """
Englisch version below.

Hallo,

Sie hatten ja um eine Liste der aktuell exmatrikulationsgefährdeten Studierenden gebeten.
In der Datenbank sind zwei auf die weiteren Kriterien treffende Studierende zu finden,
leider gibt es aber noch einen großen Bestand an nicht korrekt eingepflegten Prüfungsakten,
die wir Ihnen zwar digital, aber nicht in einem einheitlichen Format zur Verfügung stellen können.
Vielleicht können Sie den ja mit regulären Ausdrücken filtern.

Viel Spaß

=== ENGLISCH VERSION ===
Hi, we have two students matching the criteria from the database and a certain amount of unstructured data.
Maybe you can filter it with regular expressions? Good luck.
"""

# fünf Tatverdächtige
# Uhrzeiten, siehe Infos von Verantwortlichen
# Groß-Klein-Schreibung

network = Network(
	start = Choice(
		student = ["Student ", "Studentin ", "", "Studierende:r "],
	),
	student = Choice(
		last_name = get_first_names(),
		matr_nr = [""],
	),
	last_name = Choice(
		student_mit = ["Beier ", "Behar ", "Berger "],
	),
	student_mit = Choice(
		matr_nr = ["mit "],
	),
	matr_nr = Choice(
		matr_number = ["Matrikelnummer ", "Matrikel-Nummer ", "MatrNr. ", "Matrikel-Nr. "],
	),
	matr_number = RandInt(
		hat_den = [
			40_000_000,
			55_000_000,
		]
	),
	hat_den = FixedText(
		versuch = "hat den "
	),
	versuch = Choice(
		nicht = ["Erstversuch ", "1. Versuch "],
		bestanden = ["Zweitversuch ", "2. Versuch "],
	),
	nicht = Choice(
		bestanden = ["nicht ", ""],
	),
	bestanden = FixedText(
		stop = "bestanden."
	),
)

def generate_text(number_of_lines = 100):
	result = ""
	for i in range(200):
		emissions, _ = network.choose()
		line = ''.join(emissions)
		result += line + "\n"
	return result

def read_template(filename = "./template.html"):
	with open(filename, "r") as file:
		return file.read()

def write_index(text, filename = "./deploy/index.html"):
	with open(filename, "w") as file:
		file.write(text)

def main():
	template = read_template()
	generated = generate_text()
	text = template.replace("<replace with text>", generated)
	write_index(text)

if __name__ == "__main__":
	main()

